curl --request POST \
--url https://api.tupana.ai/v1/master-entities/{master_entity_id}/banking-info/ \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"sbif_code": "037",
"account_type": "checking",
"account_number": "1234567890",
"include_in_emails": true
}
'import requests
url = "https://api.tupana.ai/v1/master-entities/{master_entity_id}/banking-info/"
payload = {
"sbif_code": "037",
"account_type": "checking",
"account_number": "1234567890",
"include_in_emails": True
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
sbif_code: '037',
account_type: 'checking',
account_number: '1234567890',
include_in_emails: true
})
};
fetch('https://api.tupana.ai/v1/master-entities/{master_entity_id}/banking-info/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.tupana.ai/v1/master-entities/{master_entity_id}/banking-info/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'sbif_code' => '037',
'account_type' => 'checking',
'account_number' => '1234567890',
'include_in_emails' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.tupana.ai/v1/master-entities/{master_entity_id}/banking-info/"
payload := strings.NewReader("{\n \"sbif_code\": \"037\",\n \"account_type\": \"checking\",\n \"account_number\": \"1234567890\",\n \"include_in_emails\": true\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.tupana.ai/v1/master-entities/{master_entity_id}/banking-info/")
.header("Authorization", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"sbif_code\": \"037\",\n \"account_type\": \"checking\",\n \"account_number\": \"1234567890\",\n \"include_in_emails\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.tupana.ai/v1/master-entities/{master_entity_id}/banking-info/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"sbif_code\": \"037\",\n \"account_type\": \"checking\",\n \"account_number\": \"1234567890\",\n \"include_in_emails\": true\n}"
response = http.request(request)
puts response.read_body{
"id": 456,
"bank": 7,
"bank_detail": {
"id": 7,
"name": "BANCO SANTANDER-CHILE",
"sbif_code": "037",
"additional_brands": "Banefe",
"is_active": true
},
"account_type": "checking",
"account_type_display": "Cuenta Corriente",
"account_number": "1234567890",
"include_in_emails": true,
"created_at": "2026-04-06T12:00:00Z",
"updated_at": "2026-04-06T12:00:00Z"
}Registrar cuenta bancaria
Registra una cuenta bancaria para el destinatario. Es prerequisito para que el destinatario pueda recibir depósitos.
curl --request POST \
--url https://api.tupana.ai/v1/master-entities/{master_entity_id}/banking-info/ \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"sbif_code": "037",
"account_type": "checking",
"account_number": "1234567890",
"include_in_emails": true
}
'import requests
url = "https://api.tupana.ai/v1/master-entities/{master_entity_id}/banking-info/"
payload = {
"sbif_code": "037",
"account_type": "checking",
"account_number": "1234567890",
"include_in_emails": True
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
sbif_code: '037',
account_type: 'checking',
account_number: '1234567890',
include_in_emails: true
})
};
fetch('https://api.tupana.ai/v1/master-entities/{master_entity_id}/banking-info/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.tupana.ai/v1/master-entities/{master_entity_id}/banking-info/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'sbif_code' => '037',
'account_type' => 'checking',
'account_number' => '1234567890',
'include_in_emails' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.tupana.ai/v1/master-entities/{master_entity_id}/banking-info/"
payload := strings.NewReader("{\n \"sbif_code\": \"037\",\n \"account_type\": \"checking\",\n \"account_number\": \"1234567890\",\n \"include_in_emails\": true\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.tupana.ai/v1/master-entities/{master_entity_id}/banking-info/")
.header("Authorization", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"sbif_code\": \"037\",\n \"account_type\": \"checking\",\n \"account_number\": \"1234567890\",\n \"include_in_emails\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.tupana.ai/v1/master-entities/{master_entity_id}/banking-info/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"sbif_code\": \"037\",\n \"account_type\": \"checking\",\n \"account_number\": \"1234567890\",\n \"include_in_emails\": true\n}"
response = http.request(request)
puts response.read_body{
"id": 456,
"bank": 7,
"bank_detail": {
"id": 7,
"name": "BANCO SANTANDER-CHILE",
"sbif_code": "037",
"additional_brands": "Banefe",
"is_active": true
},
"account_type": "checking",
"account_type_display": "Cuenta Corriente",
"account_number": "1234567890",
"include_in_emails": true,
"created_at": "2026-04-06T12:00:00Z",
"updated_at": "2026-04-06T12:00:00Z"
}¿Para qué se usa?
Registra la cuenta bancaria a la que Tupana depositará los fondos una vez confirmado el pago. Es un prerequisito para poder crear sesiones de cobro para ese destinatario: si el destinatario no tiene cuenta bancaria registrada, la creación del cobro retornará el errorRECIPIENT_MISSING_BANKING_INFO.
Qué hace
- Registra una cuenta bancaria para el destinatario identificado por
master_entity_id. - Cada destinatario tiene una sola cuenta bancaria activa. Para cambiar los datos, usa
PUT /v1/master-entities/{master_entity_id}/banking-info/. - El titular de la cuenta es el propio destinatario (la
master_entityconmaster_entity_id).
Cómo identificar el banco
El parámetro del banco se puede enviar de dos formas:sbif_code(recomendado): código SBIF de tres dígitos (ej"037"). Es el identificador estable y estándar de la Superintendencia de Bancos chilena.bank: ID interno del banco en Tupana. El ID puede variar entre ambientes, así que preferísbif_code.
Códigos SBIF disponibles
sbif_code | Banco |
|---|---|
001 | Banco de Chile |
009 | Banco Internacional |
014 | Scotiabank Chile |
016 | Banco de Crédito e Inversiones (BCI) |
028 | Banco BICE |
031 | HSBC Bank (Chile) |
037 | Banco Santander-Chile |
039 | Banco Itaú Chile |
049 | Banco Security |
051 | Banco Falabella |
053 | Banco Ripley |
055 | Banco Consorcio |
059 | Banco BTG Pactual Chile |
062 | Tanner Banco Digital |
730 | Tenpo |
875 | MercadoPago |
Tipos de cuenta
account_type | Tipo |
|---|---|
checking | Cuenta Corriente |
savings | Cuenta de Ahorros |
current | Cuenta Vista |
Authorizations
API Key para autenticación. Formato: Api-Key YOUR-API-KEY
Path Parameters
ID del destinatario (MasterEntity).
Body
Para identificar el banco, envía uno de los dos campos: sbif_code (recomendado para integraciones) o bank (ID en la base de datos de Tupana). El titular de la cuenta es el mismo destinatario (master_entity).
Tipo de cuenta: checking (cuenta corriente), savings (cuenta de ahorros), current (cuenta vista).
checking, savings, current "checking"
Número de cuenta, sin guiones ni espacios.
"1234567890"
Código SBIF del banco (3 dígitos). Identificador estable y recomendado para integraciones externas.
| Código | Banco |
|---|---|
001 | Banco de Chile |
009 | Banco Internacional |
014 | Scotiabank Chile |
016 | Banco de Crédito e Inversiones (BCI) |
028 | Banco BICE |
031 | HSBC Bank (Chile) |
037 | Banco Santander-Chile |
039 | Banco Itaú Chile |
049 | Banco Security |
051 | Banco Falabella |
053 | Banco Ripley |
055 | Banco Consorcio |
059 | Banco BTG Pactual Chile |
062 | Tanner Banco Digital |
001, 009, 014, 016, 028, 031, 037, 039, 049, 051, 053, 055, 059, 062 "037"
ID en BD del banco. Obtenible vía GET /api/banks/. Si envías sbif_code no es necesario.
7
Si true (default), Tupana incluye los datos de la cuenta en los correos de cobranza al destinatario.
Response
Cuenta bancaria registrada
456
ID en BD del banco.
7
Información expandida del banco.
Show child attributes
Show child attributes
checking, savings, current "checking"
Etiqueta legible en español del tipo de cuenta.
"Cuenta Corriente"
"1234567890"
true
"2026-04-06T12:00:00Z"
"2026-04-06T12:00:00Z"
